<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<h1 class="h2 fw-medium mb-3">
	{{ 'generatePrintFile.title' | translate }}
</h1>
<p class="mb-4">
	{{ 'generatePrintFile.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent>
	<i aria-hidden="true" class="bi bi-arrow-right-circle" onReady></i>
	<p onError>
		{{ 'generatePrintFile.pageActions.error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'generatePrintFile.pageActions.instruction' | translate }}
	</p>
	<ng-container onReady [ngTemplateOutlet]="generatePrintFileButton"></ng-container>
	<ng-container onError *ngIf="pageActionsComponent.hasErrorFeedback" [ngTemplateOutlet]="generatePrintFileButton"></ng-container>
	<ng-template #generatePrintFileButton>
		<button
				(click)="generatePrintFile()"
				class="btn btn-primary"
				type="button"
		>
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'generatePrintFile.pageActions.generate' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">{{
			'common.loading' | translate
			}}</span>
	</div>
	<p onProgress>
		{{ 'generatePrintFile.pageActions.inProgress' | translate }}
	</p>


	<i aria-hidden="true" class="bi bi-check-circle" onComplete></i>
	<p onComplete>
		{{ 'generatePrintFile.pageActions.complete' | translate }}
	</p>
	<button
			(click)="generatePrintFile()"
			class="btn btn-link"
			onComplete
			type="button"
	>
		{{ 'generatePrintFile.pageActions.generate' | translate }}
	</button>
	<button class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress/>

<div class="card">
	<div class="card-header">
		{{ 'generatePrintFile.printInfo.title' | translate }}
	</div>
	<div class="card-body">
		<dl *ngIf="printInfo" class="row mb-0">
			<dt class="col-sm-4">
				{{ 'generatePrintFile.printInfo.targetFolder' | translate }}
			</dt>
			<dd class="col-sm-8">{{ printInfo.outputFolder }}</dd>
			<dt class="col-sm-4">
				{{ 'generatePrintFile.printInfo.filename' | translate }}
			</dt>
			<dd class="col-sm-8">{{ printInfo.filename }}</dd>
		</dl>
	</div>
</div>